cURL
curl --request GET \
--url https://recoup-api.vercel.app/api/chats \
--header 'x-api-key: <api-key>'import requests
url = "https://recoup-api.vercel.app/api/chats"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://recoup-api.vercel.app/api/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"chats": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"topic": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"artist_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"status": "error",
"error": "<string>"
}Chat
Get Chats
Retrieve chat rooms (conversations) for a specific account. Provide an account_id to scope the results, and optionally filter by an artist_account_id. The endpoint returns metadata about each room, including the topic, associated artist, and last updated timestamp.
GET
/
api
/
chats
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
UUID of the account whose chats to retrieve
Optional. Filter chats to only include those for the specified artist.
